---------------------------------------------------------
--Instance Module Template for BossTactics
--refer www.bosstactics.net for howto create modules!
---------------------------------------------------------

-- this is a special module for 5-man instances!
-- this follows special rules so if you like to create a 5-man module follow this stucture
-- otherwise close this file ;)

--local variable definition dont change!!
local BT_main = LibStub("AceAddon-3.0"):GetAddon( "BossTactics" )

BT_WOTLK5man = LibStub("AceAddon-3.0"):NewAddon("BT_WOTLK5man","AceConsole-3.0");
local L = LibStub("AceLocale-3.0"):GetLocale("BT_WOTLK5man")

--feel free to use localisations from the framework
local L_main = LibStub("AceLocale-3.0"):GetLocale("BossTactics")

local BabbleBoss = LibStub("LibBabble-Boss-3.0"):GetLookupTable();
local BabbleZone = LibStub("LibBabble-Zone-3.0"):GetLookupTable();

--db profile defaults add your boss-data here
local defaults = {
    profile = {
        ["instance"] = BT_main.name5man, --instance name
		["version"] = 1, --change this to a higher value for update handling (explained in a tutorial)
		["initial"] = true, --never change this flag!
		["id"] = "BT_WOTLK5man", --very important this must be the same name as your module case sensitive!
		["info"] = L["info"], --a short text you can add to the info frame, optional
		["patchlevel"] = "3.3.2", --put in the patchlevel to which this guide belongs to
		["bosses"] = {
			["mode5"] = {
		    -- first instance
		    	[BabbleZone["The Violet Hold"]] = {
		    		--first boss
		    		[1] = {
		    			["name"] = BabbleBoss["Ichoron"],
                        ["grtext"] = L["gr-Ichoron"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[2] = {
		    			["name"] = BabbleBoss["Lavanthor"],
                        ["grtext"] = L["gr-Lavanthor"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[3] = {
		    			["name"] = BabbleBoss["Zuramat the Obliterator"],
                        ["grtext"] = L["gr-Zuramat the Obliterator"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[4] = {
		    			["name"] = BabbleBoss["Erekem"],
                        ["grtext"] = L["gr-Erekem"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[5] = {
		    			["name"] = BabbleBoss["Xevozz"],
                        ["grtext"] = L["gr-Xevozz"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[6] = {
		    			["name"] = BabbleBoss["Moragg"],
                        ["grtext"] = L["gr-Moragg"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[7] = {
		    			["name"] = BabbleBoss["Cyanigosa"],
                        ["grtext"] = L["gr-Cyanigosa"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    	},
		    	 -- second instance
		    	[BabbleZone["Azjol-Nerub"]] = {
		    		--first boss
		    		[1] = {
		    			["name"] = BabbleBoss["Shirrak the Dead Watcher"],
                        ["grtext"] = L["gr-Shirrak the Dead Watcher"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[2] = {
		    			["name"] = BabbleBoss["Hadronox"],
                        ["grtext"] = L["gr-Hadronox"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[3] = {
		    			["name"] = BabbleBoss["Anub'arak"],
                        ["grtext"] = L["gr-Anub'arak"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    	},
           		[BabbleZone["Ahn'kahet: The Old Kingdom"]] = {
		    		--first boss
		    		[1] = {
		    			["name"] = BabbleBoss["Elder Nadox"],
                        ["grtext"] = L["gr-Elder Nadox"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[2] = {
		    			["name"] = BabbleBoss["Prince Taldaram"],
                        ["grtext"] = L["gr-Prince Taldaram"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[3] = {
		    			["name"] = BabbleBoss["Jedoga Shadowseeker"],
                        ["grtext"] = L["gr-Jedoga Shadowseeker"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[4] = {
		    			["name"] = BabbleBoss["Herald Volazj"],
                        ["grtext"] = L["gr-Herald Volazj"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[5] = {
		    			["name"] = BabbleBoss["Amanitar"],
                        ["grtext"] = L["gr-Amanitar"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    	},
            	[BabbleZone["The Culling of Stratholme"]] = {
		    		--first boss
		    		[1] = {
		    			["name"] = BabbleBoss["Meathook"],
                        ["grtext"] = L["gr-Meathook"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[2] = {
		    			["name"] = BabbleBoss["Salramm the Fleshcrafter"],
                        ["grtext"] = L["gr-Salramm the Fleshcrafter"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[3] = {
		    			["name"] = BabbleBoss["Chrono-Lord Epoch"],
                        ["grtext"] = L["gr-Chrono-Lord Epoch"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[4] = {
		    			["name"] = BabbleBoss["Infinite Corruptor"],
                        ["grtext"] = L["gr-Infinite Corruptor"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[5] = {
		    			["name"] = BabbleBoss["Mal'Ganis"],
                        ["grtext"] = L["gr-Mal'Ganis"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    	},
            	[BabbleZone["Trial of the Champion"]] = {
		    		--first boss
		    		[1] = {
		    			["name"] = BabbleBoss["Faction Champions"],
                        ["grtext"] = L["gr-Faction Champions"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[2] = {
		    			["name"] = BabbleBoss["Argent Confessor Paletress"],
                        ["grtext"] = L["gr-Argent Confessor Paletress"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[3] = {
		    			["name"] = BabbleBoss["Eadric the Pure"],
                        ["grtext"] = L["gr-Eadric the Pure"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[4] = {
		    			["name"] = BabbleBoss["The Black Knight"],
                        ["grtext"] = L["gr-The Black Knight"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    	},
            	[BabbleZone["The Forge of Souls"]] = {
		    		--first boss
		    		[1] = {
		    			["name"] = BabbleBoss["Bronjahm"],
                        ["grtext"] = L["gr-Bronjahm"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[2] = {
		    			["name"] = BabbleBoss["Devourer of Souls"],
                        ["grtext"] = L["gr-Devourer of Souls"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    	},
           		[BabbleZone["Pit of Saron"]] = {
		    		--first boss
		    		[1] = {
		    			["name"] = BabbleBoss["Ick"],
                        ["grtext"] = L["gr-Ick"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[2] = {
		    			["name"] = BabbleBoss["Forgemaster Garfrost"],
                        ["grtext"] = L["gr-Forgemaster Garfrost"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[3] = {
		    			["name"] = BabbleBoss["Scourgelord Tyrannus"],
                        ["grtext"] = L["gr-Scourgelord Tyrannus"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    	},
                [BabbleZone["Halls of Reflection"]] = {
		    		--first boss
		    		[1] = {
		    			["name"] = BabbleBoss["Falric"],
                        ["grtext"] = L["gr-Falric"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[2] = {
		    			["name"] = BabbleBoss["Marwyn"],
                        ["grtext"] = L["gr-Marwyn"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[3] = {
		    			["name"] = BabbleBoss["The Lich King"],
                        ["grtext"] = L["gr-The Lich King"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    	},
           		[BabbleZone["Halls of Stone"]] = {
		    		--first boss
		    		[1] = {
		    			["name"] = BabbleBoss["Maiden of Grief"],
                        ["grtext"] = L["gr-Maiden of Grief"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[2] = {
		    			["name"] = BabbleBoss["Krystallus"],
                        ["grtext"] = L["gr-Krystallus"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[3] = {
		    			["name"] = BabbleBoss["Sjonnir The Ironshaper"],
                        ["grtext"] = L["gr-Sjonnir The Ironshaper"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    	},
            	[BabbleZone["Halls of Lightning"]] = {
		    		--first boss
		    		[1] = {
		    			["name"] = BabbleBoss["General Bjarngrim"],
                        ["grtext"] = L["gr-General Bjarngrim"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[2] = {
		    			["name"] = BabbleBoss["Volkhan"],
                        ["grtext"] = L["gr-Volkhan"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[3] = {
		    			["name"] = BabbleBoss["Ionar"],
                        ["grtext"] = L["gr-Ionar"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[4] = {
		    			["name"] = BabbleBoss["Loken"],
                        ["grtext"] = L["gr-Loken"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    	},
            	[BabbleZone["The Nexus"]] = {
		    		--first boss
		    		[1] = {
		    			["name"] = BabbleBoss["Grand Magus Telestra"],
                        ["grtext"] = L["gr-Grand Magus Telestra"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[2] = {
		    			["name"] = BabbleBoss["Anomalus"],
                        ["grtext"] = L["gr-Anomalus"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[3] = {
		    			["name"] = BabbleBoss["Ormorok the Tree-Shaper"],
                        ["grtext"] = L["gr-Ormorok the Tree-Shaper"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[4] = {
		    			["name"] = BabbleBoss["Commander Stoutbeard"],
                        ["grtext"] = L["gr-Commander Stoutbeard"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[5] = {
		    			["name"] = BabbleBoss["Keristrasza"],
                        ["grtext"] = L["gr-Keristrasza"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    	},
           		[BabbleZone["The Oculus"]] = {
		    		--first boss
		    		[1] = {
		    			["name"] = BabbleBoss["Drakos the Interrogator"],
                        ["grtext"] = L["gr-Drakos the Interrogator"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[2] = {
		    			["name"] = BabbleBoss["Varos Cloudstrider"],
                        ["grtext"] = L["gr-Varos Cloudstrider"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[3] = {
		    			["name"] = BabbleBoss["Mage-Lord Urom"],
                        ["grtext"] = L["gr-Mage-Lord Urom"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[4] = {
		    			["name"] = BabbleBoss["Ley-Guardian Eregos"],
                        ["grtext"] = L["gr-Ley-Guardian Eregos"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    	},
           		[BabbleZone["Gundrak"]] = {
		    		--first boss
		    		[1] = {
		    			["name"] = BabbleBoss["Slad'ran"],
                        ["grtext"] = L["gr-Slad'ran"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[2] = {
		    			["name"] = BabbleBoss["Moorabi"],
                        ["grtext"] = L["gr-Moorabi"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[3] = {
		    			["name"] = BabbleBoss["Drakkari Colossus"],
                        ["grtext"] = L["gr-Drakkari Colossus"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[4] = {
		    			["name"] = BabbleBoss["Gal'darah"],
                        ["grtext"] = L["gr-Gal'darah"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[5] = {
		    			["name"] = BabbleBoss["Eck the Ferocious"],
                        ["grtext"] = L["gr-Eck the Ferocious"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    	},
           		[BabbleZone["Drak'Tharon Keep"]] = {
		    		--first boss
		    		[1] = {
		    			["name"] = BabbleBoss["Trollgore"],
                        ["grtext"] = L["gr-Trollgore"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[2] = {
		    			["name"] = BabbleBoss["Novos the Summoner"],
                        ["grtext"] = L["gr-Novos the Summoner"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[3] = {
		    			["name"] = BabbleBoss["King Dred"],
                        ["grtext"] = L["gr-King Dred"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[4] = {
		    			["name"] = BabbleBoss["The Prophet Tharon'ja"],
                        ["grtext"] = L["gr-The Prophet Tharon'ja"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    	},
            	[BabbleZone["Utgarde Keep"]] = {
		    		--first boss
		    		[1] = {
		    			["name"] = BabbleBoss["Prince Keleseth"],
                        ["grtext"] = L["gr-The Prophet Tharon'ja"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[2] = {
		    			["name"] = BabbleBoss["Skarvald the Constructor"],
                        ["grtext"] = L["gr-Skarvald the Constructor"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[3] = {
		    			["name"] = BabbleBoss["Ingvar the Plunderer"],
                        ["grtext"] = L["gr-Ingvar the Plunderer"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    	},
            	[BabbleZone["Utgarde Pinnacle"]] = {
		    		--first boss
		    		[1] = {
		    			["name"] = BabbleBoss["Svala Sorrowgrave"],
                        ["grtext"] = L["gr-Svala Sorrowgrave"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[2] = {
		    			["name"] = BabbleBoss["Gortok Palehoof"],
                        ["grtext"] = L["gr-Gortok Palehoof"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[3] = {
		    			["name"] = BabbleBoss["Skadi the Ruthless"],
                        ["grtext"] = L["gr-Skadi the Ruthless"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    		[4] = {
		    			["name"] = BabbleBoss["King Ymiron"],
                        ["grtext"] = L["gr-King Ymiron"], --lines seperated by \n
                        ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["bosstactic empty"],} },
                        ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Trash empty"],} }, --optional
		    		},
		    	},
		    },
		},
    },
}

function BT_WOTLK5man:OnInitialize()
 	--initialize database
    self.db = LibStub("AceDB-3.0"):New("BT_WOTLK5manDB", defaults, "Default") --change the name here
    self:CheckUpdate()

    table.insert(BT_main.modules,self.db.profile)
end;

------------------------------------------------
--this function is needed by the main program! dont touch it!
------------------------------------------------
function BT_WOTLK5man:GetDefaults()
	return defaults;
end;

-----------------------------------------------
--handels updates in data
--refer to the tutorial how to get version changes!
-----------------------------------------------

function BT_WOTLK5man:CheckUpdate()

	--the versions stored by the client musst be one more
	--because otherwise it woudnt been saved in the savedVariables
	if(not self.db.profile.initial)then
		if(defaults.profile.version+1 > self.db.profile.version)then
			if(defaults.profile.version >= 2)then
				BT_main:ShowUpdateInfoFrame()
			end
		end
	end
	self.db.profile.version = defaults.profile.version+1
	self.db.profile.initial = false
end;

----------------------------------------------------------
--place here the action button functions if you need them
----------------------------------------------------------


----------------------------------------------------------------
--dont touch this functions!
----------------------------------------------------------------

function BT_WOTLK5man:ResetData()
	self.db:ResetDB()
	self.db.profile.version = defaults.profile.version+1
	self:Print(L["Module resetted"])
end;

function BT_WOTLK5man:OnEnable()
    -- Called when the addon is enabled
end

function BT_WOTLK5man:OnDisable()
    -- Called when the addon is disabled
end